Add the file and translate namespaces to Wikibase Client excludeNamespaces
Closed, ResolvedPublic

Assigned To
None
Priority
Needs Triage
Author
hoo
Subscribers
Wikidata-bugs, greg, Petrb and 7 others
Projects
Reference
bz58903
Description

We should hide the Wikibase client facilities from file namespace pages (like we already do for talk pages, user pages, and MediaWiki pages). This is in accordance with https://www.wikidata.org/wiki/Wikidata:Notability

This will also allow us to enable the linkItem widget on commons (right now that would mislead many users into creating items for images, which is not wanted).


Version: wmf-deployment
Severity: enhancement

bzimport added a project: Wikimedia-Site-requests.Via ConduitNov 22 2014, 2:22 AM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz58903.
hoo created this task.Via LegacyDec 23 2013, 6:39 PM
gerritbot added a comment.Via ConduitDec 23 2013, 6:41 PM

Change 103394 had a related patch set uploaded by Hoo man:
Add the file namespace to Wikibase Client excludeNamespaces

https://gerrit.wikimedia.org/r/103394

hoo added a comment.Via ConduitDec 23 2013, 6:58 PM

Note: Also adds the translate namespace to the list of excluded namespaces.

gerritbot added a comment.Via ConduitDec 30 2013, 9:53 PM

Change 103394 merged by jenkins-bot:
Add file and translate NS to Wikibase Client excludeNamespaces

https://gerrit.wikimedia.org/r/103394

hoo added a comment.Via ConduitDec 30 2013, 10:14 PM

Change has been merged and deployed.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.